module Rack
  class Philae
    def initialize(app, prober)
      @app = app
      @prober = prober
    end

    def call(env)
      if env['PATH_INFO'] == '/_health'
        [200, { 'Content-type' => 'application/json' }, [@prober.check.to_json]]
      else
        @app.call(env)
      end
    end
  end
end
